Problema ‘Installation Failed’ Nell’Aggiornamento a WordPress 2.8.3 e Superiori: Soluzione

Molti utenti WordPress stanno incontrando problemi nell’aggiornamento WP dalle versioni 2.8.2 e inferiori alla 2.8.3 e superiori.

Il bug è stato trovato e risolto qualche giorno fa ed è causato dal file class-wp-upgrader.php, più precisamente dalla funzione  fs_connect() in esso contenuta che restituisce l’errore nascosto ‘directory doesn’t exist‘.

Wordpress

Come risolvere l’errore  per aggiornare WordPress alle versioni 2.8.3 e superiori

E’ necessario sostiutuire il file class-wp-upgrader.php con una nuova release disponibile nell’archivio core di Wp, scaricabile da http://core.trac.wordpress.org/raw-attachment/ticket/10541/class-wp-upgrader.php.

Il percorso del file (a partire dalla cartella di installazione di WP) è: /wp-admin/includes/class-wp-upgrader.php.

Una volta sostituito il file con la nuova release sarà possibile procedere con l’upgrade automatico senza problemi.

Se ti è stato utile potrebbero interessarti anche: